Loading...
Searching...
No Matches
RDKit::Chirality::WedgeInfoChiral Class Reference

`#include <Chirality.h>`

Inheritance diagram for RDKit::Chirality::WedgeInfoChiral:

## Public Member Functions

| WedgeInfoChiral (int atomId)
| ~WedgeInfoChiral ()
WedgeInfoType | getType () const override
Bond::BondDir | getDir () const override
Public Member Functions inherited from RDKit::Chirality::WedgeInfoBase
| WedgeInfoBase (int idxInit)
virtual | ~WedgeInfoBase ()
int | getIdx () const

## Detailed Description

Definition at line 259 of file Chirality.h.

## Constructor & Destructor Documentation

## WedgeInfoChiral()

RDKit::Chirality::WedgeInfoChiral::WedgeInfoChiral | ( | int | atomId | ) |

inline

Definition at line 261 of file Chirality.h.

## ~WedgeInfoChiral()

RDKit::Chirality::WedgeInfoChiral::~WedgeInfoChiral | ( |  | ) |

inline

Definition at line 262 of file Chirality.h.

## Member Function Documentation

## getDir()

Bond::BondDir RDKit::Chirality::WedgeInfoChiral::getDir | ( |  | ) | const

inline override virtual

Implements RDKit::Chirality::WedgeInfoBase.

Definition at line 267 of file Chirality.h.

## getType()

WedgeInfoType RDKit::Chirality::WedgeInfoChiral::getType | ( |  | ) | const

inline override virtual

Implements RDKit::Chirality::WedgeInfoBase.

Definition at line 264 of file Chirality.h.

References RDKit::Chirality::WedgeInfoTypeChiral.

The documentation for this class was generated from the following file:

- Chirality.h